Tk::IconList - an icon list widget use Tk::IconList; $il = $mw->IconList(-browsecmd => sub { ... }, -command => sub { ... })->pack; $il->Add($icon1, $text1); $il->Add($icon2, $text2); $il->Arrange; ... $il->DeleteAll;

OPTIONS
-item -foreground|-fg

METHODS
Deletes all the items inside the canvas subwidget and reset the IconList's state. Adds an icon into the IconList with the designated image and text. Places the icons in a column-major arrangement. Return the selected item. Gets called when the user invokes the IconList (usually by double-clicking or pressing the Return key) (internal method). If the item is not (completely) visible, scroll the canvas so that it becomes visible (internal method). The original tkfbox.tcl from Tcl/Tk is: Copyright (c) 1994-1996 Sun Microsystems, Inc. See the file "license.terms" for information on usage and redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES. Translated to Perl/Tk by Slaven Rezic <slaven.rezic@berlin.de>. Tk::FBox.